using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class Button
    {
        public static ButtonHandler Click(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ButtonHandler.Click(value, repeatingTime);
        }
        public static ButtonHandler ClickByName(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ButtonHandler.ClickByName(value, repeatingTime);
        }
        public static ButtonHandler ClickByAutoID(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ButtonHandler.ClickByAutoID(value, repeatingTime);
        }
        public static ButtonHandler DoubleClick(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ButtonHandler.DoubleClick(value, repeatingTime);
        }
        public static ButtonHandler Invoke(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ButtonHandler.Invoke(value, repeatingTime);
        }
        public static ButtonHandler InvokeByName(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ButtonHandler.InvokeByName(value, repeatingTime);
        }
        public static ButtonHandler InvokeByAutoID(string value, int repeatingTime = 0)
        {
            return HandlerProvider.ButtonHandler.InvokeByAutoID(value, repeatingTime);
        }
        public static bool IsEnabled(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.ButtonHandler.IsEnabled(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool Exist(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.ButtonHandler.Exist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool IsVisible(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.ButtonHandler.IsVisible(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
    }
}
